ERROR: REST API version is not defined

Has anyone come across this error before when trying to set up monitoring?

virtual appliance deployed using OVF image
FlashArray running Purity v5.2.5


Comments

  • Hi,

    cd /home/stor2rrd/stor2rrd
    grep purestorage-alias01 etc/storage-list.cfg

    mask password entry to do not be visible here

    BTW also this output, I see some permission issue, not related to your problem
    ls -l logs
  • hi Pavel,

    here is the output:
  • ok, it looks good. we will follow it up on Monday
  • logs output

    logs.jpg 159.2K
  • Hello,

    Try this debug script:

    https://download.stor2rrd.com/patch/pure_apitest.pl.gz
    Gunzip it and copy to /home/stor2rrd/stor2rrd/bin (755, stor2rrd owner)
    -rwxr-xr-x 1 stor2rrd stor2rrd 5275  8. čec 08.28 pure_apitest.pl
    If your web browser gunzips it automatically then just rename it: mv pure_apitest.pl.gz pure_apitest.pl


    after copy script to bin directory

    cd /home/stor2rrd/stor2rrd/ # or where is your STOR2RRD working dir

    ./bin/config_check.sh purestorage-alias01 > pure_debug.txt 2>&1

    Send us pure_debug.txt via https://upload.stor2rrd.com


    Thank you
  • all done and debug file uploaded via the link 
  • edited July 8
    This was resolved once I stopped being a muppet and actually used the correct array IP in the storage-list.cfg file  :o
Sign In or Register to comment.